//
//  CustomTOForumTopicEntity.m
//  Lighting
//
//  Created by 曹云霄 on 2016/12/12.
//  Copyright © 2016年 上海勾芒科技有限公司. All rights reserved.
//

#import "CustomTOForumTopicEntity.h"

@implementation CustomTOForumTopicEntity


- (CGFloat)contentHeight
{
    if (!_contentHeight) {
        _contentHeight = [self calculateStudyIntroductionHeight:self.content withFont:13];
    }
    return _contentHeight;
}

- (CGFloat)titleHeight
{
    if (!_titleHeight) {
        _titleHeight = [self calculateStudyIntroductionHeight:self.title withFont:18];
    }
    return _titleHeight;
}

#pragma mark - 计算高度
- (CGFloat)calculateStudyIntroductionHeight:(NSString *)content withFont:(CGFloat)font
{
    return [content heightWithWidth:ScreenWidth-30*2 andFont:font].height;
}

@end
